extends: default

# Base settings
base:
  font-family: Noto Serif
  font-color: #333333
  font-size: 10
  line-height: 1.07

# Headings
heading:
  font-family: Noto Serif
  font-style: bold
  numbering:
    enabled: true
    depth: 5
    separator: ". " # Customize the separator here
  levels:
    h1:
      font-size: 26
      font-color: #0033CC
      line-height: 1.1
      text-transform: uppercase
    h2:
      font-size: 24
      font-color: #0044CC
      line-height: 1.1
      text-transform: uppercase
    h3:
      font-size: 22
      font-color: #0055CC
      line-height: 1.1
    h4:
      font-size: 20
      font-color: #0066CC
      line-height: 1.1
    h5:
      font-size: 18
      font-color: #0077CC
      line-height: 1.1
    h6:
      font-size: 16
      font-color: #0088CC
      line-height: 1.1

# Table of Contents (TOC)
toc:
  font-color: #333333
  title:
    font-style: bold
    font-size: 20
    font-color: #0033CC
  levels:
    "1":
      font-style: bold
    "2":
      font-style: italic
    "3":
      font-style: normal
    "4":
      font-style: italic
    "5":
      font-style: normal

# Code blocks
code:
  font-family: Courier
  font-color: #0000FF
  background-color: #F5F5F5
  border-color: #DDDDDD
  border-radius: 4
  padding: 6
  line-number:
    font-size: 8
    font-color: #888888
  comments:
    font-color: #0055CC  # Darker blue for comments

# Sidebar
sidebar:
  background-color: #F5F5F5
  border-color: #DDDDDD
  font-color: #333333
  padding: 10

# Tables
table:
  header:
    font-color: #FFFFFF
    background-color: #0033CC
    font-style: bold
  cell:
    font-color: #333333
    padding: 6
    border-color: #DDDDDD
  odd-row:
    background-color: #F9F9F9
  even-row:
    background-color: #FFFFFF

# Paragraphs
paragraph:
  margin-bottom: 12

# Highlighted text (Admonitions)
admonition:
  icon:
    color:
      note: #0055CC
      warning: #FF0000
      caution: #FFA500
      important: #FF4500
      tip: #008000
  font-color:
    note: #0055CC
    warning: #FF0000
    caution: #FFA500
    important: #FF4500
    tip: #008000
  border-radius: 4
  padding: 10

# Quotes
quote:
  border-color: #0055CC
  border-width: 2
  font-style: italic
  padding: 10

# Footer
footer:
  recto-content: "{page-number} | My Document Title"
  verso-content: "My Document Title | {page-number}"
  font-size: 8
  font-color: #333333
